<?php

$str = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum ac lacus in risus vehicula tempor eget vitae purus. Nulla facilisi. Mauris at ante eget felis fermentum fermentum. In scelerisque metus risus, sit amet rutrum ligula posuere ut. Curabitur ullamcorper facilisis ultricies. Nulla semper diam fringilla elementum rutrum. Sed accumsan odio erat, non egestas lorem facilisis rutrum. Aliquam felis neque, condimentum ut lobortis ut, ornare dapibus justo. Etiam blandit massa eu augue blandit, sit amet ultricies enim lacinia. Integer at turpis dignissim elit rutrum lacinia vel nec ex. Nunc convallis tempor sem, id molestie metus luctus id.";
$arr = explode(" ", $str);

function style($m) {
    $word = $m[0];
    $count = strlen($word);

    if ( $count <= 3 ) {
        // If there are <= 3 letters, one letter is bold.
        return "<strong>" . substr($word, 0, 1) . "</strong>" . substr($word, 1); 

    } elseif ( $count == 4 ) {
        // If there are == 4 letters, two letters are bold.
        return "<strong>" . substr($word, 0, 2) . "</strong>" . substr($word, 2);

    } elseif ( $count > 4 ) {
        // If there are > 4 letters, 40% of all letters are bold.
        $ch = $count / 100 * 40;
        $c = (int)$ch;
        return "<strong>" . substr($word, 0, $c) . "</strong>" . substr($word, $c);

    } else {
        return $word;
    }
}


$output = array_map(function($word) {
    $word = preg_replace_callback('/\w+/i', 'style', $word);
    return $word;
}, $arr);


echo join($output, " ");

?>